Skip to main content
POST
/api/v1/image/generations

Autorizzazioni

Authorization
string
header
obbligatorio

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Intestazioni

Accept-Encoding
string

Supported compression encodings (gzip, br).

Esempio:

"gzip, br"

Corpo

application/json
prompt
string
obbligatorio

A text description of the desired image.

Required string length: 1 - 1500
Esempio:

"A beautiful sunset over mountain ranges"

background
enum<string> | null
predefinito:auto

This parameter is not used in Venice image generation but is supported for compatibility with OpenAI API

Opzioni disponibili:
transparent,
opaque,
auto
Esempio:

"auto"

model
string
predefinito:default

The model to use for image generation. Defaults to Venice's default image model. If a non-existent model is specified (ie an OpenAI model name), it will default to Venice's default image model.

Esempio:

"grok-imagine-image"

moderation
enum<string> | null
predefinito:auto

auto enables safe venice mode which will blur out adult content. low disables safe venice mode.

Opzioni disponibili:
low,
auto
Esempio:

"auto"

n
integer | null
predefinito:1

Number of images to generate. Venice presently only supports 1 image per request.

Intervallo richiesto: 1 <= x <= 1
Esempio:

1

output_compression
integer | null
predefinito:100

This parameter is not used in Venice image generation but is supported for compatibility with OpenAI API

Intervallo richiesto: 0 <= x <= 100
output_format
enum<string>
predefinito:png

Output format for generated images

Opzioni disponibili:
jpeg,
png,
webp
Esempio:

"png"

quality
enum<string> | null
predefinito:auto

This parameter is not used in Venice image generation but is supported for compatibility with OpenAI API

Opzioni disponibili:
auto,
high,
medium,
low,
hd,
standard
Esempio:

"auto"

response_format
enum<string> | null
predefinito:b64_json

Response format. URL will be a data URL.

Opzioni disponibili:
b64_json,
url
Esempio:

"b64_json"

size
enum<string> | null
predefinito:auto

Size of generated images. Default is 1024x1024

Opzioni disponibili:
auto,
256x256,
512x512,
1024x1024,
1536x1024,
1024x1536,
1792x1024,
1024x1792
Esempio:

"1024x1024"

style
enum<string> | null
predefinito:natural

This parameter is not used in Venice image generation but is supported for compatibility with OpenAI API

Opzioni disponibili:
vivid,
natural
Esempio:

"natural"

user
string

This parameter is discarded and is supported for compatibility with OpenAI API. It is not an alias of anon_user_id.

Esempio:

"user123"

anon_user_id
string

Optional identifier for the API customer's end user. Combined with the Venice user id when attributing the request to upstream providers. Distinct from the discarded OpenAI user field. Must be printable ASCII and must not contain ||.

Required string length: 1 - 128
Pattern: ^[\x20-\x7E]+$
Esempio:

"end-user-123"

Risposta

Successfully generated image

created
integer
obbligatorio

Unix timestamp for when the request was created

Esempio:

1713833628

data
object[]
obbligatorio